Skip to main content

Reactivate Account

POST 

/v1/brands/:brandId/sale-channels/reactivate

Reactivate a brand’s sale-channel account after its state and channel credentials are checked. Requires saleChannelAuth.write.

Request and response fields at a glance
  • Path parameters: brandId (integer, required).
  • Request body (application/json): saleChannelAccountId (number, required).
  • 201 response (application/json): id (number), brandId (number, required), saleChannelId (number, required), brandIdInSaleChannel (string, required), status (string, required), onboardingStatus (mixed), connectionDate (string, required), connectionError (string), fulfillmentModel (string, required), inventoryScope (string, required), inventoryExternallyManaged (boolean, required), primaryAccountId (number), isPrimary (boolean, required), isShared (boolean, required), createdAt (string, required), updatedAt (string, required), transferLeadTimeDays (mixed), minRemainingShelfLifeDays (mixed), minInboundShelfLifeDays (mixed), inventoryBranchId (mixed), logInEmail (mixed), saleChannel (object), brand (object) or id (number), brandId (number, required), saleChannelName (string, required), status (string, required), connectionDate (string, required), connectionError (string), oauthUrl (string), sellerFulfillmentSetup (object).

Request​